* {
    margin: 0;
    box-sizing: border-box;
    padding: 0;
    
}




#loading{
    width: 100vw;
    height: 100vh;
    background: #000;
    position: fixed;
    top: 0;
    left:0;
    overflow: hidden;
    z-index: 2;
    display: none;
    justify-content: center;
    align-items: center;
    
}
.products-container {
    position: relative;
}
.products-title {
    text-align: center;
}
.product-cart h2{
    margin: auto;
}
.product-cart p{
    margin-top: 1rem;
    
}
i{
    width: 100%;
    height: 100%;
    font-size: 30px;
    color: #192841;
    cursor: pointer;
}

/* 
.card-container {
    display: flex;
   
    position: relative;
    overflow: hidden;
    top: 0;
    left: 0;
    z-index: 0;
  
} */

.products-heading {
    font-size: 50px;
    text-transform: uppercase;
}
.products-title > p {
    color: #8a8a8a;
    letter-spacing: 8px;
    text-transform: uppercase;
}
.shopping-cart{
    overflow: hidden;
    position: fixed !important;
    width: 100vw;
    height: 100vh; 
    margin: auto;
     top: 0;
     right: 0;
     position: absolute;
     z-index: 1;
     visibility: hidden;
     transition: all 2s;

}
.hide {
    opacity: 0;
    transition: opacity 1s linear;
    -webkit-transition: opacity 1s linear;
    -moz-transition: opacity 1s linear;
    -o-transition: opacity 1s linear;
  }
  .show {
    opacity: 1;
    transition: opacity 1s linear;
    -webkit-transition: opacity 1s linear;
    -moz-transition: opacity 1s linear;
    -o-transition: opacity 1s linear;
  }
.shopping-cart h2{
    text-align: center;
    color: #F4F4F4;
}
.callout{
    position: absolute;
    top: 0;
    right: 0;
   
}
.cart{
   

   width: 100%;
    z-index: 1;
    position: absolute;
    margin-right: auto;
    color: #000;
    padding: 50px 0;
    opacity: 0;


}
.total, .pay, .clear{
    transition: all 2s;
    opacity: 0;
}
.item{
   
    font-size: 30px;
    background-color: #ffecd1;
    border-radius: 10px;
    padding-top: 10px;
    margin-bottom: 30px;
    flex: 15%;

    
}

.item .product{
flex-basis:20%;

}
.item .price, .item .img{
    flex-basis: 10%;
}
.item .name{
    flex-basis: 30%;
}


.total{
    background-color: #ffecd1;
    border-radius: 15px;
    padding: 15px 45px;
    font-weight: 700;
    font-size: 25px;
}

.shopping-cart img{
    width: 3vw;
    height: 5vh;
    
}
.callout h2{
    flex: 2;
}

.butn{
    padding: 13px 25px;
    font-size: 15px;
    font-weight: 500;
    background-image: linear-gradient(to right,rgb(55, 38, 241) 0px ,rgb(84, 133, 248) 50%,rgb(95, 118, 245) 100%);
    background-size:200%;
    border: transparent;
    transition: all .5s;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    
    text-transform: uppercase;
   
    overflow: hidden;
    
}
.butn:hover{
    background-position: right center;

  
}

/* .butn:link,
.butn:visited {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 2.5rem;
  text-transform: uppercase;
  text-decoration: none;
  background-color: #5e16bd;
  background-image: linear-gradient(90deg, #501aa8, #870de8);
  padding: 1rem 2.5rem;
  height: 6rem;
  width: 40rem;

  margin-right: 13px;
  border-radius: 4px;
  border: none;
  color: #fff;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}
.butn::before {
  background: #fff;
  content: "";
  height: 155px;
  opacity: 0;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  width: 50px;
  transition: all 3000ms cubic-bezier(0.19, 1, 0.22, 1);
}
.butn::after {
  background: #fff;
  content: "";
  height: 20rem;
  opacity: 0;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 3000ms cubic-bezier(0.19, 1, 0.22, 1);
  width: 8rem;
}
.butn__new::before {
  left: -50%;
}

.butn__new::after {
  left: -100%;
}

.butn:hover,
.butn:active {
  transform: translateY(-3px);
  color: #fff;
  box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.3);
}

.butn__new:hover::before {
  left: 120%;
  opacity: 0.5s;
}

.butn__new:hover::after {
  left: 200%;
  opacity: 0.6;
}
.butn span {
  z-index: 20;
} */

.card {
   border: 2px solid #F4F4F4;
   border-radius: unset;
  
   
   width: 25%;
   /* min-height: 30vh; */
    z-index: 0;


}
.card:hover{
    border: 2px solid red;
    z-index: 100;
    overflow: visible;
    
}
.col-4{
    flex: none;
}
.container{
    max-width: 1000px;
    margin: auto;
}

#filter-container {
    display: flex;
    justify-content: flex-end;
    margin: 30px 30px;
}



.card-body {
    position: relative;
}




.moreInfo-overlay {
    position: absolute;
   background-color: rgba(46, 45, 45,0.5);
    height: 0;
    width: 100%;
    bottom: 0;
    left: 0;
    transition: all 0.5s;
    overflow: hidden;
    color: white;
    
}
.card:hover .moreInfo-overlay {
    height: 100%;
    
}



.overlay-content {
    z-index: 999;
    color: white;
    font-size: 20px;
    display: flex;
    flex-direction: column;
    gap: 35px;
    padding-left: 20px;
}
.screen {
    margin-top: 20px;
}



.body-img {
    height: 20vh;
    width: 100%;
}


.phone-type {
   display: flex;
   justify-content: flex-end;
   margin-right: 20px;
}

.card-bot {
    background-color: #F4F4F4;
    padding: 15px;
    text-align: center;
    
    width: 100%;
    min-height: 35vh;
    
}
.card-bot-content{

    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
  
    
}

.add{
    position: absolute;
    bottom: 0;
    right: 0;
}
.phone-name{
    display: flex;
    justify-content: center;
}
.phone-price{
    position: absolute;
    bottom: 0;
    left: 0;
    margin:0;
    padding: 0.375rem 0.75rem;
    color: #eb0028;
    font-size: 20px;
}
.phone-name {
    text-transform: uppercase;
    font-weight: 700;
    z-index: 10;
    color: black;
    font-size: 25px;
   
}
.desc{
    position: absolute;
    top: 45%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
}


#filterProduct{
    z-index: 10;
}

#cartBottom {
    position: absolute;
    bottom: 20px;
    right: 50px;
    
}

#total {
    position: absolute;
    bottom: 80px;
    right: 50px;
    z-index: 100;
    color: black;
    border: none;
    
}
